package sum

import "testing"

func TestSum(t *testing.T) {
	t.Run("collection of 5 numbers", func(t *testing.T) {
		numbers := []int{1, 2, 3, 4, 5}

		got := Sum(numbers)
		exp := 15

		if got != exp {
			t.Errorf("got %d, expected %d, given %v", got, exp, numbers)
		}
	})

	t.Run("collection of any size", func(t *testing.T) {
		numbers := []int{1, 2, 3}

		got := Sum(numbers)
		exp := 6

		if got != exp {
			t.Errorf("got %d, expected %d, given %v", got, exp, numbers)
		}
	})
}
